> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchanges List (ID Map)

> This endpoint allows you to **query all the exchanges with ID and name**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of exchanges including **derivatives exchanges** for other endpoints that contain params like `id` (exchange ID).
</Tip>

<Note>
  ### Note

  * There is no pagination required for this endpoint.
  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /exchanges/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /exchanges/list:
    get:
      tags:
        - Exchanges
      summary: Exchanges List (ID Map)
      description: This endpoint allows you to **query all the exchanges with ID and name**
      operationId: exchanges-list
      parameters:
        - name: status
          in: query
          description: 'filter by status of exchanges, default: active'
          required: false
          schema:
            type: string
            enum:
              - active
              - inactive
      responses:
        '200':
          description: List all exchanges with ID and name
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangesList'
components:
  schemas:
    ExchangesList:
      type: object
      properties:
        id:
          type: string
          description: exchange ID
        name:
          type: string
          description: exchange name
      example:
        - id: 10kswap-starknet-alpha
          name: 10KSwap
        - id: 1bch
          name: 1BCH
        - id: 3xcalibur
          name: 3xcalibur
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````